org.mariadb.jdbc.internal.packet.result

## Class AbstractResultPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.result.AbstractResultPacket

Direct Known Subclasses:
  EndOfFilePacket, ErrorPacket, LocalInfilePacket, OkPacket, ResultSetPacket

    public abstract class AbstractResultPacket
    extends Object

### Nested Class Summary

Nested Classes
`static class` `AbstractResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`AbstractResultPacket()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract AbstractResultPacket.ResultType` `getResultType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractResultPacket

    public AbstractResultPacket()

### Method Detail

#### getResultType

    public abstract AbstractResultPacket.ResultType getResultType()